gst-libav1.0 (1.24.7-1) unstable; urgency=medium

  * d/rules: debian-rules-parses-dpkg-parsechangelog
  * New upstream version 1.24.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 21 Aug 2024 17:32:23 +0200

gst-libav1.0 (1.24.6-1) unstable; urgency=medium

  * New upstream version 1.24.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 29 Jul 2024 19:35:36 +0200

gst-libav1.0 (1.24.5-1) unstable; urgency=medium

  * New upstream version 1.24.5

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 20 Jun 2024 16:37:52 +0200

gst-libav1.0 (1.24.4-1) unstable; urgency=medium

  * New upstream version 1.24.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 29 May 2024 14:20:52 +0200

gst-libav1.0 (1.24.3-2) unstable; urgency=medium

  * d/patches: update av so version to 60

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 07 May 2024 10:00:38 +0200

gst-libav1.0 (1.24.3-1) unstable; urgency=medium

  * New upstream version 1.24.3

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 30 Apr 2024 11:27:28 +0200

gst-libav1.0 (1.24.2-1) unstable; urgency=medium

  * New upstream version 1.24.2

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 10 Apr 2024 10:58:58 +0200

gst-libav1.0 (1.24.1-1) unstable; urgency=medium

  * New upstream version 1.24.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 22 Mar 2024 11:40:29 +0100

gst-libav1.0 (1.24.0-1) unstable; urgency=medium

  * Revert "d/watch: pin master releases on 1.22.x"
  * New upstream version 1.24.0
  * d/control: bump gstreamer dependencies to 1.24.0

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 05 Mar 2024 15:57:15 +0100

gst-libav1.0 (1.22.10-1) unstable; urgency=medium

  * d/watch: pin master releases on 1.22.x
  * New upstream version 1.22.10
  * d/control: pkg-config is transitional

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 14 Feb 2024 14:06:25 +0100

gst-libav1.0 (1.22.9-1) unstable; urgency=medium

  * New upstream version 1.22.9

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 02 Feb 2024 17:00:23 +0100

gst-libav1.0 (1.22.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.22.8

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 18 Dec 2023 17:15:20 +0100

gst-libav1.0 (1.22.7-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.22.7

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 14 Nov 2023 13:59:36 +0100

gst-libav1.0 (1.22.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Sep 2023 14:09:54 -0400

gst-libav1.0 (1.22.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 29 Jul 2023 17:06:51 +0300

gst-libav1.0 (1.22.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 Jun 2023 08:53:17 -0400

gst-libav1.0 (1.22.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 14:33:41 -0400

gst-libav1.0 (1.22.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Add debian/upstream/metadata
  * debian/rules: Enable all hardening flags

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 May 2023 15:00:41 -0400

gst-libav1.0 (1.22.2-1) experimental; urgency=medium

  * Team upload
  * New upstream bugfix release (LP: #2015943)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Apr 2023 20:34:35 -0400

gst-libav1.0 (1.22.1-1) experimental; urgency=medium

  * Team upload
  * New upstream bugfix release (LP: #2015129)
  * Drop patch that skipped a build test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 03 Apr 2023 18:46:07 -0400

gst-libav1.0 (1.22.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 14:36:03 -0500

gst-libav1.0 (1.22.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump minimum gstreamer and meson
  * debian/rules: Set -Dauto_features=enabled
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 27 Jan 2023 11:34:42 -0500

gst-libav1.0 (1.20.5-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bicha ]
  * New upstream release
  * Add debian/upstream/signing-key.asc and update debian/watch to use it
  * Don't ignore build test failures on amd64 & arm64
  * Set Rules-Requires-Root: no
  * Update standards version to 4.6.1, no changes needed

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Jan 2023 14:20:14 -0500

gst-libav1.0 (1.20.3-1) unstable; urgency=medium

  [ Sebastian Dröge ]
  * New upstream bugfix release.

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Use secure URI in debian/watch.
  * Update standards version to 4.5.1, no changes needed.
  * Remove Section on gstreamer1.0-libav that duplicates source.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Jun 2022 09:18:07 +0300

gst-libav1.0 (1.20.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 May 2022 10:10:45 +0300

gst-libav1.0 (1.20.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Mar 2022 17:25:16 +0200

gst-libav1.0 (1.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 09:01:57 +0200

gst-libav1.0 (1.19.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Jan 2022 18:34:10 +0200

gst-libav1.0 (1.18.5-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 13 Sep 2021 09:44:35 +0300

gst-libav1.0 (1.18.4-3) unstable; urgency=medium

  * Source-only re-upload.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Apr 2021 23:13:19 +0300

gst-libav1.0 (1.18.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 Apr 2021 20:57:26 +0300

gst-libav1.0 (1.18.4-1) experimental; urgency=medium

  [ Marc Leeman ]
  * New upstream version 1.18.4

  [ Sebastian Dröge ]
  * Upload to experimental.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Apr 2021 11:36:53 +0300

gst-libav1.0 (1.18.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 14 Jan 2021 09:55:08 +0200

gst-libav1.0 (1.18.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Dec 2020 10:12:44 +0200

gst-libav1.0 (1.18.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 27 Oct 2020 18:32:18 +0200

gst-libav1.0 (1.18.0-1) unstable; urgency=medium

  * New upstream stable release.
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Sep 2020 12:11:35 +0300

gst-libav1.0 (1.17.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 21 Aug 2020 14:48:20 +0300

gst-libav1.0 (1.17.2-1) experimental; urgency=medium

  * New upstream development release.
  * Completely redo and modernize the packaging.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Jul 2020 16:43:58 +0300

gst-libav1.0 (1.16.2-2) unstable; urgency=medium

  * Source-only re-upload.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 09 Dec 2019 12:04:44 +0200

gst-libav1.0 (1.16.2-1) unstable; urgency=medium

  * New upstream release
    + Don't crash if longname is NULL (Closes: #755717).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 04 Dec 2019 15:59:44 +0200

gst-libav1.0 (1.16.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Wed, 25 Sep 2019 11:38:22 +0300

gst-libav1.0 (1.16.0-3) unstable; urgency=medium

  * Source-only re-upload

 -- Sebastian Dröge <slomo@debian.org>  Mon, 02 Sep 2019 10:35:41 +0300

gst-libav1.0 (1.16.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Jul 2019 11:59:03 +0300

gst-libav1.0 (1.16.0-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Apr 2019 10:23:50 +0300

gst-libav1.0 (1.15.90-1) experimental; urgency=medium

  * New upstream release candidate

 -- Sebastian Dröge <slomo@debian.org>  Fri, 12 Apr 2019 10:11:52 +0300

gst-libav1.0 (1.15.2-1) experimental; urgency=medium

  * New upstream development release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Feb 2019 12:26:19 +0200

gst-libav1.0 (1.15.1-1) experimental; urgency=medium

  * New upstream development release
    + Fixes draining of decoders (Closes: #881285).
    + debian/patches/*.patch:
      - Drop
    + debian/control:
      - Update GStreamer dependency.
  * debian/control.in:
    + Remove Loïc Minier from Uploaders. He didn't work on the packages in a
      very long time.

      Thanks a lot for his past work!
  * debian/control:
    + Fix description to mention ffmpeg instead of libav (Closes: #863754).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Jan 2019 17:45:20 +0200

gst-libav1.0 (1.15.0.1+git20180723+db823502-2) unstable; urgency=medium

  * debian/patches/03_avmux-Place-pva-case-after-generic-case.patch,
    debian/patches/04_decoders-fix-draining.patch:
    + Backport two patches from upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Sep 2018 10:07:20 +0300

gst-libav1.0 (1.15.0.1+git20180723+db823502-1) unstable; urgency=medium

  * New upstream git snapshot:
    + Required for ffmpeg 4.0 support (Closes: #888326).
  * debian/patches/00_plugin-dependencies.patch:
    + Add back patch to add the shared libraries as plugin
      dependencies (Closes: #904023).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jul 2018 13:05:46 +0300

gst-libav1.0 (1.14.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 23 Jul 2018 12:26:12 +0300

gst-libav1.0 (1.14.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 May 2018 10:48:09 +0300

gst-libav1.0 (1.14.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Mar 2018 10:20:00 +0200

gst-libav1.0 (1.13.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 Mar 2018 11:16:24 +0200

gst-libav1.0 (1.13.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Mar 2018 10:26:59 +0200

gst-libav1.0 (1.13.1-1) experimental; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 26 Feb 2018 21:11:29 +0200

gst-libav1.0 (1.12.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 07 Dec 2017 19:52:56 +0200

gst-libav1.0 (1.12.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 18 Sep 2017 21:44:30 +0300

gst-libav1.0 (1.12.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Jul 2017 13:41:05 +0300

gst-libav1.0 (1.12.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 Jun 2017 11:55:55 +0300

gst-libav1.0 (1.12.0-1) experimental; urgency=medium

  * New upstream stable release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 04 May 2017 15:29:11 +0300

gst-libav1.0 (1.11.91-1) experimental; urgency=medium

  * New upstream release canditate

 -- Sebastian Dröge <slomo@debian.org>  Thu, 27 Apr 2017 17:16:05 +0300

gst-libav1.0 (1.11.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 07 Apr 2017 16:08:26 +0300

gst-libav1.0 (1.11.2-1) experimental; urgency=medium

  * New development release

 -- Sebastian Dröge <slomo@debian.org>  Fri, 24 Feb 2017 14:50:26 +0200

gst-libav1.0 (1.11.1-1) experimental; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 12 Jan 2017 15:32:18 +0200

gst-libav1.0 (1.10.4-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 23 Feb 2017 15:43:02 +0200

gst-libav1.0 (1.10.3-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jan 2017 16:06:58 +0200

gst-libav1.0 (1.10.2-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Nov 2016 16:02:07 +0200

gst-libav1.0 (1.10.1-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Nov 2016 15:12:27 +0200

gst-libav1.0 (1.10.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Nov 2016 18:03:53 +0200

gst-libav1.0 (1.9.90-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.9.90.
      - Build-depend on ffmpeg >= 3.0.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Sep 2016 12:46:00 +0300

gst-libav1.0 (1.9.2-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.9.2.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 01 Sep 2016 12:20:03 +0300

gst-libav1.0 (1.9.1-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.9.1.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 06 Jul 2016 13:24:45 +0300

gst-libav1.0 (1.8.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 09 Jun 2016 11:41:06 +0300

gst-libav1.0 (1.8.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 20 Apr 2016 18:31:30 +0300

gst-libav1.0 (1.8.0-1) unstable; urgency=medium

  * New upstream stable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.8.0.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 24 Mar 2016 12:49:47 +0200

gst-libav1.0 (1.7.91-1) experimental; urgency=medium

  * New upstream release candidate:
    + debian/control:
      - Build-depend on GStreamer >= 1.7.91.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 15 Mar 2016 12:14:47 +0200

gst-libav1.0 (1.7.90-1) experimental; urgency=medium

  * New upstream release candidate:
    + debian/control:
      - Build-depend on GStreamer >= 1.7.90.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 01 Mar 2016 17:30:52 +0200

gst-libav1.0 (1.7.2-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/control:
      - Build-depend on GStreamer >= 1.7.2.
      - Build-depend on libavfilter-dev.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Feb 2016 11:49:21 +0200

gst-libav1.0 (1.7.1-1) experimental; urgency=medium

  * New upstream unstable release:
    + debian/control:
      - Build-depend on GLib >= 2.40 and GStreamer >= 1.7.1.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 24 Dec 2015 14:47:09 +0100

gst-libav1.0 (1.6.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Dec 2015 19:59:40 +0100

gst-libav1.0 (1.6.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Oct 2015 17:01:14 +0200

gst-libav1.0 (1.6.0-2) unstable; urgency=medium

  * debian/patches/0001-avviddec-fix-memory-leak.patch,
    debian/patches/0002-avviddec-only-free-config-when-pool-doesn-t-take-own.patch:
    + Fix some memory leaks.
  * debian/patches/0005-avvidenc-Pass-the-correct-user_data-to-gst_buffer_ne.patch,
    debian/patches/0006-avcodecmap-Don-t-allocate-dummy-codec-data-anymore-i.patch:
    + Fix crashes in the video encoders (Closes: #800779).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 13 Oct 2015 13:06:32 +0300

gst-libav1.0 (1.6.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 25 Sep 2015 23:09:06 +0200

gst-libav1.0 (1.5.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 18 Sep 2015 20:06:57 +0200

gst-libav1.0 (1.5.90-2) experimental; urgency=medium

  * debian/control: Add a Build-Dep on libswscale-dev - this is needed when
    building with system ffmpeg, as we do.

 -- Iain Lane <laney@debian.org>  Fri, 04 Sep 2015 17:54:25 +0100

gst-libav1.0 (1.5.90-1) experimental; urgency=medium

  [ Iain Lane ]
  * debian/watch: Fix watch file for current URL scheme

  [ Sebastian Dröge ]
  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Aug 2015 14:08:29 +0300

gst-libav1.0 (1.5.2-1) experimental; urgency=medium

  * New unstable upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Jun 2015 23:39:06 +0200

gst-libav1.0 (1.5.1-1) experimental; urgency=medium

  * New unstable upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 07 Jun 2015 11:15:53 +0200

gst-libav1.0 (1.5.0.1+git20150513-1) experimental; urgency=medium

  * New upstream GIT snapshot.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 13 May 2015 13:30:01 +0300

gst-libav1.0 (1.5.0.1+git20150316-1) experimental; urgency=medium

  * New upstream GIT snapshot.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 17 Mar 2015 10:03:03 +0100

gst-libav1.0 (1.4.5-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Dec 2014 12:27:13 +0100

gst-libav1.0 (1.4.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 Nov 2014 13:40:42 +0100

gst-libav1.0 (1.4.4-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 06 Nov 2014 13:09:43 +0100

gst-libav1.0 (1.4.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 24 Sep 2014 12:18:54 +0300

gst-libav1.0 (1.4.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Sep 2014 14:52:42 +0300

gst-libav1.0 (1.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's consent
  * Fix compilation against liba11

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Aug 2014 16:25:21 -0400

gst-libav1.0 (1.4.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 27 Aug 2014 14:55:16 +0300

gst-libav1.0 (1.4.0-1) unstable; urgency=medium

  * New upstream stable release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Jul 2014 17:52:31 +0200

gst-libav1.0 (1.3.91-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 11 Jul 2014 11:46:38 +0200

gst-libav1.0 (1.3.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 28 Jun 2014 12:21:23 +0200

gst-libav1.0 (1.3.3-1) experimental; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 22 Jun 2014 19:25:04 +0200

gst-libav1.0 (1.3.2-1) unstable; urgency=medium

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 May 2014 13:05:07 +0200

gst-libav1.0 (1.3.1-2) unstable; urgency=medium

  * debian/patches/03_gst-1.2.patch:
    + Make it build with GStreamer 1.2.4 and upload to unstable
      to allow the libav10 transition to finish.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 14 May 2014 09:44:06 +0200

gst-libav1.0 (1.3.1-1) experimental; urgency=medium

  * New upstream development release:
    + debian/control:
      - Build-depend on GStreamer core and base >= 1.3.1.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 03 May 2014 19:47:21 +0200

gst-libav1.0 (1.2.4-1.1) experimental; urgency=low

  * Non-maintainer upload.
  * Add libav10.patch, build against libav10 (Closes: #739322)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 27 Apr 2014 10:55:03 -0400

gst-libav1.0 (1.2.4-1) unstable; urgency=medium

  * New upstream bugfix release:
    + Fixes crash when seeking in h264 videos (Closes: #739579).

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Apr 2014 15:53:44 +0200

gst-libav1.0 (1.2.3-1) unstable; urgency=medium

  [ Iain Lane ]
  * Drop ltmain-as-needed patch and do the same with dh_autoreconf
    --as-needed.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 09 Feb 2014 11:42:06 +0100

gst-libav1.0 (1.2.2-1) unstable; urgency=medium

  * New upstream bugfix release:
    + debian/control:
      - Build-depend on gst-plugins-base >= 1.2.2.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 27 Dec 2013 11:06:09 +0100

gst-libav1.0 (1.2.1-1) unstable; urgency=low

  [ Fabian Greffrath ]
  * Team upload.
  * Add Vcs-* and Homepage fields to debian/control.

  [ Sebastian Dröge ]
  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 09 Nov 2013 17:13:18 +0100

gst-libav1.0 (1.2.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/control:
      - Build depend on GStreamer and gst-plugins-base >= 1.2.0.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 24 Sep 2013 17:07:00 +0200

gst-libav1.0 (1.1.90-1) experimental; urgency=low

  * New upstream release candidate:
    + debian/control:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.90.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 19 Sep 2013 12:56:59 +0200

gst-libav1.0 (1.1.4-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/control:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.4.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 30 Aug 2013 13:10:49 +0200

gst-libav1.0 (1.1.3-1) experimental; urgency=low

  * New upstream development snapshot:
    + debian/control:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.3.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 30 Jul 2013 09:00:15 +0200

gst-libav1.0 (1.1.2-1) experimental; urgency=low

  * debian/control,
    debian/README.Debian,
    debian/watch:
    + Replace all occurences of ffmpeg with libav (Closes: #707216).
  * New upstream development snapshot:
    + debian/control:
      - Build depend on GStreamer and gst-plugins-base >= 1.1.2.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 08 May 2013 11:55:06 +0200

gst-libav1.0 (1.0.7-2) experimental; urgency=low

  * Upload of new version using libav 9.
  * debian/patches/03_git-2013-04-26.patch:
    + Update patch.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 26 Apr 2013 15:09:18 +0200

gst-libav1.0 (1.0.7-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 26 Apr 2013 14:12:26 +0200

gst-libav1.0 (1.0.6-2) experimental; urgency=low

  * Upload of new version using libav 9.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 22 Mar 2013 19:23:35 +0100

gst-libav1.0 (1.0.6-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 22 Mar 2013 18:30:16 +0100

gst-libav1.0 (1.0.5-2) experimental; urgency=low

  * Upload of new version using libav 9.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Jan 2013 14:01:12 +0100

gst-libav1.0 (1.0.5-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Jan 2013 14:00:08 +0100

gst-libav1.0 (1.0.4-2) experimental; urgency=low

  * debian/patches/02_plugin-dependencies.patch:
    + Update for new libav sonames.
  * Upload of new version using libav 9.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Dec 2012 12:01:15 +0100

gst-libav1.0 (1.0.4-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Dec 2012 10:38:34 +0100

gst-libav1.0 (1.0.3-2) experimental; urgency=low

  * debian/control,
    debian/patches/03_git-2012-12-18.patch:
    + Port to libav 9 API.
    + Backport all GIT changes up to today.
  * debian/patches/04_gstreamer-1.0.patch:
    + Don't use features new since GStreamer 1.1.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Dec 2012 11:41:55 +0100

gst-libav1.0 (1.0.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 Nov 2012 15:11:25 +0100

gst-libav1.0 (1.0.2-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Oct 2012 14:31:28 +0200

gst-libav1.0 (1.0.1-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Oct 2012 11:22:54 +0200

gst-libav1.0 (1.0.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/control:
      - Build-depend on GStreamer core/base >= 1.0.0.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 Sep 2012 00:33:29 +0200

gst-libav1.0 (0.11.99-1) experimental; urgency=low

  * New upstream release:
    + debian/control:
      - Build-depend on GStreamer core/base >= 0.11.99.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 18 Sep 2012 11:50:32 +0200

gst-libav1.0 (0.11.94-1) experimental; urgency=low

  * New upstream release:
    + debian/control:
      - Build-depend on GStreamer core/base >= 0.11.94.
      - Build-depend on gtk-doc >= 1.12.
      - Drop the libpostproc-dec build-dependency, it's deprecated upstream.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 14 Sep 2012 12:11:44 +0200

gst-libav1.0 (0.11.93-1) experimental; urgency=low

  * New upstream release:
    + debian/control:
      - Build-depend on GStreamer core/base >= 0.11.93.
      - Build-depend on GLIB >= 2.32.
      - Build-depend on ORC >= 0.4.16.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 09 Aug 2012 12:02:53 +0200

gst-libav1.0 (0.11.92-1) experimental; urgency=low

  * New upstream release, "Wish You Were Here":
    + debian/control:
      - Build-depend on GStreamer core/base >= 0.11.92.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 08 Jun 2012 13:39:54 +0200

gst-libav1.0 (0.11.91-1) experimental; urgency=low

  * Build-depend on GLib >= 2.31.14.
  * New upstream release, "Help master! A boy is stealing me!":
    + debian/control:
      - Build-depend on GStreamer core/base >= 0.11.91.
  * debian/control:
    + Update debhelper build-dependency.
    + Update Standards-Version.
    + Add build-dependencies on automake, autoconf and libtool.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 May 2012 13:58:48 +0200

gst-libav1.0 (0.11.90-1) experimental; urgency=low

  [ Olivier Naudan ]
  * Imported Upstream version 0.11.90
  * Imported debian/ from gstreamer0.10-ffmpeg 0.10.13-1
  * Updated debian/ for GStreamer 1.0
    + Replaced ABI 0.10 by 1.0
    + Replaced version 0.10.x by 0.11.90
    + Replaced gstreamer0.10-ffmpeg by gst-libav1.0
  * Use dh-autoreconf
  * Added a build-dep on yasm
  * Disabled hardening flags with DEB_BUILD_MAINT_OPTIONS
    + Also updated build-dep and debian/compat accordingly

  [ Sebastian Dröge ]
  * Transition package to multi-arch.
  * Use gstreamer1.0-libav as binary package names for consistency.
  * Update copyright.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 03 May 2012 19:20:40 +0200

gstreamer0.10-ffmpeg (0.10.13-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/99_ltmain_as-needed.patch:
      - Refreshed to apply cleanly again.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 03 Nov 2011 11:25:58 +0100

gstreamer0.10-ffmpeg (0.10.12-3) unstable; urgency=low

  * debian/control:
    + Depend on libavcodec53 (<< 5:0) instead of libavcodec52 (Closes: #640862).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Sep 2011 10:37:22 +0200

gstreamer0.10-ffmpeg (0.10.12-2) unstable; urgency=low

  * Upload to unstable (Closes: #640317).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Sep 2011 10:32:37 +0200

gstreamer0.10-ffmpeg (0.10.12-1) experimental; urgency=low

  * New upstream release, "A year in hell":
    + debian/control:
      - Build-depend on libav >= 0.7, GStreamer >= 0.10.31 and ORC >= 0.4.6.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 20 Jul 2011 13:15:56 +0200

gstreamer0.10-ffmpeg (0.10.11-4) unstable; urgency=low

  * debian/control:
    + Depend on libavcodec52 (<< 5:0) | libavcodec-extra-52 (<< 5:0)
      to allow usage of the ffmpeg-extra packages.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 10 Feb 2011 10:24:42 +0100

gstreamer0.10-ffmpeg (0.10.11-3) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control,
    debian/rules:
    + Use dpkg-vendor instead of lsb_release.

  [ Sebastian Dröge ]
  * Upload to Unstable.
  * debian/control:
    + Add versioned dependency on libavcodec52 (<< 5:0) to prevent usage
      with the ffmpeg packages of the Debian Multimedia project. Their ffmpeg
      packages break gst-ffmpeg and cause users to file useless bugreports in
      Debian or upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Feb 2011 13:12:54 +0100

gstreamer0.10-ffmpeg (0.10.11-2) experimental; urgency=low

  * debian/control:
    + Add epoch to the orc build dependency to get dependencies
      on the correct version.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 17 Sep 2010 13:29:17 +0200

gstreamer0.10-ffmpeg (0.10.11-1) experimental; urgency=low

  * New upstream stable release, "Feeding trolls is strictly forbidden".

 -- Sebastian Dröge <slomo@debian.org>  Thu, 15 Jul 2010 21:41:07 +0200

gstreamer0.10-ffmpeg (0.10.10.5-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Jul 2010 15:46:38 +0200

gstreamer0.10-ffmpeg (0.10.10.4-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 30 Jun 2010 10:50:22 +0200

gstreamer0.10-ffmpeg (0.10.10.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 27 Jun 2010 13:07:07 +0200

gstreamer0.10-ffmpeg (0.10.10.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/rules,
      debian/compat,
      debian/control,
      debian/source/format,
      debian/patches/*:
      - Update to debhelper compat level 7.
      - Update to source format 3.0 (quilt).
      - Update to Standards-Version 3.8.4.
    + debian/control,
      debian/patches/01_new-codec-ids.patch,
      debian/patches/03_too-new-codec-ids.patch:
      - Require ffmpeg 0.6 and drop now obsolete patches.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 27 Jun 2010 11:34:36 +0200

gstreamer0.10-ffmpeg (0.10.10-1) unstable; urgency=low

  * New upstream stable release, "It's The Bomb".

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Mar 2010 10:08:54 +0000

gstreamer0.10-ffmpeg (0.10.9.3-1) experimental; urgency=low

  * New upstream pre-release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 25 Feb 2010 08:30:58 +0100

gstreamer0.10-ffmpeg (0.10.9.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/03_restricted-caps.patch,
      debian/patches/04_ignore-vdpau.patch:
      - Dropped, merged upstream.
  * debian/patches/03_too-new-codec-ids.patch:
    + Disable some ffmpeg codec IDs because Debian's
      ffmpeg is once again too old...

 -- Sebastian Dröge <slomo@debian.org>  Fri, 19 Feb 2010 18:14:59 +0100

gstreamer0.10-ffmpeg (0.10.9-3) unstable; urgency=low

  * debian/patches/04_ignore-vdpau.patch:
    + Ignore all VDPAU decoders (Closes: #560196).

 -- Sebastian Dröge <slomo@debian.org>  Fri, 11 Dec 2009 14:56:43 +0100

gstreamer0.10-ffmpeg (0.10.9-2) unstable; urgency=low

  * debian/patches/03_restricted-caps.patch
    + Added. Make sure the video caps in the negotiation are always as
      restricted as possible.

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 09 Nov 2009 21:24:26 +0000

gstreamer0.10-ffmpeg (0.10.9-1) unstable; urgency=low

  * New upstream release, 'Shooting the moon'.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 05 Oct 2009 18:14:25 +0200

gstreamer0.10-ffmpeg (0.10.8.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update build dependencies.
    + debian/patches/03_disable_theoradec.patch,
      debian/patches/04_fix_duration_calculation.patch:
      - Dropped, merged upstream.
  * debian/control:
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 12 Sep 2009 13:12:57 +0200

gstreamer0.10-ffmpeg (0.10.8-2) unstable; urgency=low

  * debian/patch/03_disable_theoradec.patch
    + Added, disable the ffmpeg theora decoder as it's broken.
  * debian/patches/04_fix_duration_calculation.patch
    + Added, fix the duration calculation of a buffer for which ticks_per_frame
    isn't 1 such as H264.

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 09 Aug 2009 10:00:05 +0100

gstreamer0.10-ffmpeg (0.10.8-1) unstable; urgency=low

  * New upstream release, 'Brilliant in the morning':
    + debian/patches/03_swfdec-hang.patch:
      - Dropped, merged upstream.
  * debian/control:
    + Updated Standards-Version to 3.8.2.
    + Fix section and priority of the debug package.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 30 Jun 2009 11:30:37 +0200

gstreamer0.10-ffmpeg (0.10.7.2-2) experimental; urgency=low

  * debian/patches/02_plugin-dependencies.patch:
    + Add the ffmpeg libraries as plugin dependencies. This makes sure that
      the list of encoders/decoders/muxers/demuxers is updated in the GStreamer
      registry whenever ffmpeg is updated. This is especially useful if someone
      installs an unstripped ffmpeg.
  * debian/patches/03_swfdec-hang.patch:
    + Fix hanging of swfdec on YouTube and a lot of other websites.
      Patch from upstream bugzilla (Closes: #533111).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 23 Jun 2009 18:57:29 +0200

gstreamer0.10-ffmpeg (0.10.7.2-1) experimental; urgency=low

  * debian/patches/05_disable-libvorbis-libtheora.patch:
    + Dropped, it's already upstream since 0.10.7.
  * New upstream pre-release.
  * debian/control:
    + Update Standards-Version to 3.8.1, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 06 Jun 2009 17:46:54 +0200

gstreamer0.10-ffmpeg (0.10.7-1) unstable; urgency=low

  * New upstream release, 'Some high ground is not worth taking'.
  * debian/control,
    debian/rules:
    + Add a debug package.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 21 Mar 2009 09:35:27 +0100

gstreamer0.10-ffmpeg (0.10.6.2-1) unstable; urgency=low

  * New upstream pre-release:
    + debian/control:
      - Update GStreamer build dependencies to >= 0.10.22.
    + debian/patches/02_demuxer-seek-fix.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 Mar 2009 10:09:05 +0100

gstreamer0.10-ffmpeg (0.10.6-3) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 22 Feb 2009 12:24:07 +0100

gstreamer0.10-ffmpeg (0.10.6-2) experimental; urgency=low

  * debian/patches/02_demuxer-seek-fix.patch:
    + Patch from upstream GIT to fix seeking in the demuxers.
      This was broken by one of the ffmpeg updates.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 Feb 2009 14:42:10 +0100

gstreamer0.10-ffmpeg (0.10.6-1) experimental; urgency=low

  * New upstream release, 'A little itching in our bones'.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Nov 2008 08:17:45 +0100

gstreamer0.10-ffmpeg (0.10.5.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/02_libswscale-typo.patch,
      debian/patches/02_libswscale-include.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 20 Nov 2008 08:47:41 +0100

gstreamer0.10-ffmpeg (0.10.5.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/02_new-ffmpeg.patch,
      debian/patches/03_h264-codec-data-escaping.patch,
      debian/patches/04_h264-frame-reordering.patch:
      - Dropped, merged upstream.
    + Ported ffvideoscale to new libswscale (Closes: #487766).
  * debian/control:
    + Build depend on latest ffmpeg (Closes: #505009).
  * debian/patches/02_libswscale-typo.patch:
    + Fix typo in libswscale configure check.
  * debian/patches/03_libswscale-include.patch:
    + Fix swscale.h include path.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 09 Nov 2008 15:09:58 +0100

gstreamer0.10-ffmpeg (0.10.5-3) experimental; urgency=low

  * No change rebuild to get all build dependencies listed in the
    generated .dsc file (Closes: #504130).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 03 Nov 2008 10:36:56 +0100

gstreamer0.10-ffmpeg (0.10.5-2) experimental; urgency=low

  * debian/control:
    + Build depend on newer ffmpeg snapshot from experimental for
      new features.
  * debian/patches/02_old-ffmpeg.patch,
    debian/patches/02_new-ffmpeg.patch:
    + Patch from upstream CVS to work with the new ffmpeg snapshot.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 30 Oct 2008 12:04:18 +0100

gstreamer0.10-ffmpeg (0.10.5-1) experimental; urgency=low

  * New upstream release, 'This little piggy went to market'.
  * debian/patches/03_h264-codec-data-escaping.patch:
    + Patch from upstream CVS to escape the private h264 codec data before
      passing it to ffmpeg as ffmpeg requires this while GStreamer doesn't.
  * debian/patches/04_h264-frame-reordering.patch:
    + Patch from upstream CVS to fix decoding of h264 when the upstream elements
      provide reordered frames.
  * debian/patches/05_disable-libvorbis-libtheora.patch:
    + Disable libvorbis and libtheora based encoders. The ones provided by
      GStreamer directly are working much better.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 06 Oct 2008 11:39:05 +0200

gstreamer0.10-ffmpeg (0.10.4.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/02_av_picture_copy.patch,
      debian/patches/03_disable-aac.patch,
      debian/patches/04_disable-mpegts.patch:
      - Dropped, merged upstream.
    + debian/control:
      - Build depend on libbz2-dev.
  * debian/control:
    + Update Standards-Version to 3.8.0, no additional changes needed.
    + Wrap Uploaders, Build-Depends and Depends.
  * debian/rules,
    debian/control:
    + Use new automatic codec installation infrastructure.
  * debian/patches/02_old-ffmpeg.patch:
    + Revert some upstream changes to make it work with our ancient ffmpeg
      version.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 15 Aug 2008 09:14:07 +0200

gstreamer0.10-ffmpeg (0.10.4-3) unstable; urgency=low

  * debian/patches/03_disable-aac.patch:
    + The faad plugin is named "libfaad", not "faad".

 -- Sebastian Dröge <slomo@debian.org>  Sun, 25 May 2008 11:02:03 +0200

gstreamer0.10-ffmpeg (0.10.4-2) unstable; urgency=low

  * debian/patches/02_av_picture_copy.patch:
    + Patch from Bugzilla to use av_picture_copy() instead of swscale
      as this is faster and swscale is overkill at those places.
  * debian/patches/03_disable-aac.patch:
    + Disable AAC decoders as they don't work well and the one from
      gst-plugins-bad works far better.
  * debian/patches/04_disable-mpegts.patch:
    + Disable both mpegts demuxers instead of only one and don't
      register a typefinder for this as they don't work well.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 23 May 2008 11:42:56 +0200

gstreamer0.10-ffmpeg (0.10.4-1) unstable; urgency=low

  * New upstream stable release, "A jump to the left".

 -- Sebastian Dröge <slomo@debian.org>  Thu, 22 May 2008 09:29:40 +0200

gstreamer0.10-ffmpeg (0.10.3.3-1) unstable; urgency=low

  * New upstream pre-release:
    + Upload to unstable for the ffmpeg transition.
    + Plugin correctly declares itself as GPL licensed now (we're linking
      against ffmpeg versions with GPL'ed code).
    + debian/patches/02_debian-ffmpeg.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 20 May 2008 09:43:35 +0200

gstreamer0.10-ffmpeg (0.10.3.2-1) experimental; urgency=low

  * New upstream pre-release, requiring ffmpeg from experimental:
    + debian/patches/01_debian-ffmpeg.patch,
      debian/patches/02_g-enum-value-array-null-termination.patch,
      debian/patches/03_disable-wavpack.patch,
      debian/patches/04_handle_codec_type_unknown_as_video.patch,
      debian/patches/05_ffmpeg_mux_api_fixes.patch:
      - Dropped, merged upstream.
    + debian/control:
      - Build depend on libswscale-dev.
    + debian/patches/01_new-codec-ids.patch:
      - Add codec ID mapping for Ogg Vorbis.
    + debian/rules:
      - Don't build with -Werror.
    + debian/patches/02_debian-ffmpeg.patch:
      - Fix build with Debian's ffmpeg.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 12 May 2008 16:51:45 +0200

gstreamer0.10-ffmpeg (0.10.3-7) experimental; urgency=low

  * debian/patches/05_ffmpeg_mux_api_fixes.patch
    + Added. Adapt to some API changes in ffmpegs muxing (From upstream CVS)
  * debian/control:
    - build-depend on a version >= 0.svn20080206 of the various ffmpeg bits
    - Drop the libavutil-dev build-depend it's brought in by libavcodec-dev

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Apr 2008 12:05:57 +0200

gstreamer0.10-ffmpeg (0.10.3-6) unstable; urgency=low

  * debian/patches/99_ltmain_as-needed.patch,
    debian/rules:
    + Add -Wl,-z,defs -Wl,-O1 -Wl,--as-needed to LDFLAGS to remove some
      unnecessary dependencies on various packages.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 19 Feb 2008 09:19:48 +0100

gstreamer0.10-ffmpeg (0.10.3-5) unstable; urgency=low

  [ Sjoerd Simons ]
  * debian/patches/04_handle_codec_type_unknown_as_video.patch:
    + Some video codecs don't set the CODEC_TYPE properly. Assume
      CODEC_TYPE_UNKNOWN is also video. Fixes playback with newer ffmpeg
      snapshots. (Closes: #463759).
  * Add myself to Uploaders.

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Decide the package name and url depending on the distribution.
  * debian/control:
    - Build-Depend on lsb-release.

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 07 Feb 2008 11:07:19 +0100

gstreamer0.10-ffmpeg (0.10.3-4) unstable; urgency=low

  * debian/patches/03_disable-wavpack.patch:
    + Patch from upstream CVS to prevent gst-ffmpeg to register a new
      typefinder and caps type for WavPack. This fixes playback of WavPack
      files.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Jan 2008 19:35:54 +0100

gstreamer0.10-ffmpeg (0.10.3-3) unstable; urgency=low

  * debian/patches/02_g-enum-value-array-null-termination.patch:
    + Null-terminate GEnumValue arrays to fix crashes when using them
      or when doing gst-inspect-0.10 --print-all. Patch from upstream CVS.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 15 Dec 2007 12:59:53 +0100

gstreamer0.10-ffmpeg (0.10.3-2) unstable; urgency=low

  * Upload to unstable, still missing support for some codecs that are
    supported in the Debian ffmpeg but were not supported yet by the
    internal ffmpeg copy.
  * debian/rules:
    + Set package name and origin to point out that this is the Debian
      package and point to the Debian package information page.
  * debian/control:
    + Update Standards-Version to 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Dec 2007 11:40:15 +0100

gstreamer0.10-ffmpeg (0.10.3-1exp1) experimental; urgency=low

  * debian/rules,
    debian/control:
    + Build against the system ffmpeg (Closes: #402090, #402793).
  * debian/patches/01_debian-ffmpeg.patch:
    + Adjust for API changes in Debian's ffmpeg compared to upstream's
      version.
  * debian/patches/21_h264-check-sps-pps.patch,
    debian/patches/22_asf-misc-security-fixes.patch:
    + Dropped, not necessary anymore.
  * debian/rules:
    + Remove some workarounds needed for the bundled ffmpeg.
  * debian/TODO.Debian:
    + Updated.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Dec 2007 05:32:31 +0100

gstreamer0.10-ffmpeg (0.10.3-1) unstable; urgency=low

  * New upstream release, "My T-Shirt is slowly fading":
    + debian/patches/23_h264-draw-edges.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 Dec 2007 21:24:53 +0100

gstreamer0.10-ffmpeg (0.10.2-5) unstable; urgency=low

  * debian/rules:
    + Fix setting of the GST_REGISTRY environment variable.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 24 Nov 2007 20:05:38 +0100

gstreamer0.10-ffmpeg (0.10.2-4) unstable; urgency=low

  * debian/rules:
    + Set GST_REGISTRY before the dh_gstscancodecs call to save the registry
      somewhere on buildds without writable home and speed things up a bit.
  * debian/patches/23_h264-draw-edges.patch:
    + Patch from upstream CVS to fix green artifacts when decoding certain
      h.264 files (Closes: #432916).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 24 Sep 2007 19:30:51 +0200

gstreamer0.10-ffmpeg (0.10.2-3) unstable; urgency=low

  * debian/control,
    debian/rules:
    + Call dh_gstinstallcodecs to generate the codecs database.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jul 2007 20:43:42 +0200

gstreamer0.10-ffmpeg (0.10.2-2) unstable; urgency=low

  * Merge experimental branch:
    + New upstream release 0.10.2, "At the edge of Taymans":
      - Adds WMV9 support (Closes: #388479)
      - Fixes FLV playback (Closes: #388471)
    + debian/rules:
      - Drop --disable-ffplay, it's passed by the upstream ./configure
        already. (Loic Minier)
    + debian/control,
      debian/compat:
      - Update to standards version 3.7.2
      - Update to debhelper compat level 5
    + debian/control:
      - Update package descriptions to reflect that the encoders are disabled in
        this package for patent reasons (Closes: #389904)
    + debian/gstreamer0.10-ffmpeg.install:
      - Remove bogus file
    + debian/rules:
      - Remove .la and .a files as they're not necessary at all
    + debian/patches/01_disable-broken-demuxers.patch,
      debian/patches/02_state-change-return.patch,
      debian/patches/20_CVE-2006-4800-4xm-buffer-overflow.patch:
      - Dropped, merged upstream
    +  debian/patches/40_fix-missing-symbols_config-muxers.patch:
      - Dropped, not necessary anymore
    + debian/control:
      - Raise gstreamer and plugins-base dependencies to >= 0.10.4
      - Add build dependency on liboil0.3-dev (>= 0.3.6)
  * debian/patches/21_h264-check-sps-pps.patch:
    + Updated for the new version
  * debian/control:
    + Update to use my debian.org mail address

 -- Sebastian Dröge <slomo@debian.org>  Mon, 16 Apr 2007 01:15:20 +0200

gstreamer0.10-ffmpeg (0.10.1-7) unstable; urgency=high

  * Drop superfluous files from patch 22_asf-misc-security-fixes.

 -- Loic Minier <lool@dooz.org>  Wed, 24 Jan 2007 13:41:46 +0100

gstreamer0.10-ffmpeg (0.10.1-6) unstable; urgency=high

  * SECURITY: New patch, 22_asf-misc-security-fixes, to properly check packet
    sizes, chunk sizes, and fragment positions; from upstream SVN r7640 and
    r7650.

 -- Loic Minier <lool@dooz.org>  Wed, 24 Jan 2007 13:18:45 +0100

gstreamer0.10-ffmpeg (0.10.1-5) unstable; urgency=high

  * SECURITY: Update patch 21_h264-check-sps-pps to check more bitstram values
    and fix potential security holes; from upstream SVN r7591.

 -- Loic Minier <lool@dooz.org>  Sun, 21 Jan 2007 19:36:41 +0100

gstreamer0.10-ffmpeg (0.10.1-4) unstable; urgency=high

  * SECURITY: New patch, 21_h264-check-sps-pps, to properly check the sps and
    pps ids before use; from upstream SVN r7585 and r7586.

 -- Loic Minier <lool@dooz.org>  Sat, 20 Jan 2007 14:44:18 +0100

gstreamer0.10-ffmpeg (0.10.1-3) unstable; urgency=low

  * New patch, 20_CVE-2006-4800-4xm-buffer-overflow, fixes buffer overflow in
    4XM code; CVE-2006-4800; thanks Andreas Barth; closes: #401311.

 -- Loic Minier <lool@dooz.org>  Wed,  6 Dec 2006 14:15:19 +0100

gstreamer0.10-ffmpeg (0.10.1-2) unstable; urgency=low

  [ Loic Minier ]
  * Re-add the change of 0.8.7-3 (-DRUNTIME_CPUDETECT) now that gcc doesn't
    ICE on this anymore.

  [ Sebastian Dröge ]
  * debian/patches/02_state-change-return.patch:
    + Actually return something on state changes
  * debian/patches/01_disable-broken-demuxers.patch:
    + Disable the broken demuxers for now as they only cause problems

 -- Loic Minier <lool@dooz.org>  Sun, 23 Jul 2006 11:03:49 +0200

gstreamer0.10-ffmpeg (0.10.1-1) unstable; urgency=low

  * New upstream release, "Late Train".
    - Bump up libgstreamer-plugins-base0.10-dev build-dep to >= 0.10.0.
      [debian/control]
    - Drop patch for CVE-2005-4048 (merged upstream).
      [debian/patches/32_CVE-2005-4048_avcodec-default-get-buffer-heap-overflow.patch]
    - Update missing symbols patch.
      [debian/patches/40_fix-missing-symbols_config-muxers.patch]

 -- Loic Minier <lool@dooz.org>  Mon,  3 Apr 2006 16:38:51 +0200

gstreamer0.10-ffmpeg (0.10.0-3) unstable; urgency=low

  * Fix missing symbols when registering the ffmpeg plugin, caused by the use
    of --disable-encoders and buggy #ifdef CONFIG_MUXERS in the autoconfed
    ffmpeg source version of upstream, thanks Sam Morris; this is a temporary
    workaround while upstream refreshs the ffmpeg snapshot. (Closes: #353045)
    [debian/patches/40_fix-missing-symbols_config-muxers.patch]

 -- Loic Minier <lool@dooz.org>  Wed, 22 Feb 2006 12:22:20 +0100

gstreamer0.10-ffmpeg (0.10.0-2) unstable; urgency=low

  * Add ${misc:Depends} to Depends.
    [debian/control]
  * Build with --enable-mpegaudio-hp under hppa to workaround #352529.
    [debian/rules]

 -- Loic Minier <lool@dooz.org>  Sun, 12 Feb 2006 15:48:56 +0100

gstreamer0.10-ffmpeg (0.10.0-1) unstable; urgency=low

  * New upstream version.
    - don't list libgstreamer0.10-0 as a Depends the shlibs get that
      [debian/control]
    - fix the path of the .la file to clean [debian/rules]
    - no need to run registration at installation with gstreamer0.10
      [debian/gstreamer0.8-ffmpeg.postinst,
       debian/gstreamer0.8-ffmpeg.postrm, debian/gstreamer0.8-ffmpeg.preinst]
    - package name/version updates [debian/changelog, debian/control,
      debian/gstreamer0.8-ffmpeg.install, debian/rules]
    - removed patch shipped with the new upstream code
      [debian/patches/64_reduce-all-givs-alpha-gcc-4.patch]

 -- Sebastien Bacher <seb128@debian.org>  Sat, 17 Dec 2005 23:59:34 +0100

gst-ffmpeg (0.8.7-5) unstable; urgency=low

  * SECURITY: New patch from ffmpeg's CVS to address a heap overflow in
    avcodec_default_get_buffer identified as CVE-2005-4048. (Closes: #343503)
    [debian/patches/32_CVE-2005-4048_avcodec-default-get-buffer-heap-overflow.patch]

 -- Loic Minier <lool@dooz.org>  Thu, 15 Dec 2005 20:44:36 +0100

gst-ffmpeg (0.8.7-4) unstable; urgency=low

  * Revert the change from 0.8.7-3 for m68k, since it causes an ICE at build
    time (the m68k porters have been told). [debian/rules]

 -- Loic Minier <lool@dooz.org>  Sun,  6 Nov 2005 21:56:17 +0100

gst-ffmpeg (0.8.7-3) unstable; urgency=low

  * Use -DRUNTIME_CPUDETECT to detect the correct per-CPU optimized function
    at runtime. (Closes: #337804) [debian/rules]

 -- Loic Minier <lool@dooz.org>  Sun,  6 Nov 2005 19:03:38 +0100

gst-ffmpeg (0.8.7-2) unstable; urgency=low

  * New patch to remove the -f-reduce-all-givs flag which was dropped in
    gcc 4.0. [debian/patches/64_reduce-all-givs-alpha-gcc-4.patch]
  * Turn Altivec support on via "-maltivec" when building under powerpc.
    [debian/rules]

 -- Loic Minier <lool@dooz.org>  Sun, 30 Oct 2005 17:28:18 +0100

gst-ffmpeg (0.8.7-1) unstable; urgency=low

  * New upstream releases.
    - Upstream's configure now supports --disable-encoders, use it.
      [debian/rules]
    - Drop obsolete patch. [debian/patches/50_configure-no-encoders.patch]
    - Disable ffplay server. [debian/rules]
  * Update FSF address. [debian/copyright]

 -- Loic Minier <lool@dooz.org>  Wed, 26 Oct 2005 15:49:06 +0200

gst-ffmpeg (0.8.5-2) unstable; urgency=low

  [ Loic Minier ]
  * Fix encoders removal. [debian/patches/50_configure-no-encoders.patch]

 -- Loic Minier <lool@dooz.org>  Tue, 12 Jul 2005 19:17:46 +0200

gst-ffmpeg (0.8.5-1) unstable; urgency=low

  [ Loic Minier ]
  * New upstream release "For the better of the world".
    - Add libgstreamer0.8-plugins-dev build-dep. [debian/control]
  * Add a TODO list. [debian/TODO.Debian]
  * Change ffmpeg's upstream URL. [debian/control]
  * Set Maintainer to group. [debian/control]
  * Bump Standards-Version to 3.6.2. [debian/control]
  * Call gst-register and gst-compprep with GST_REGISTRY in their
    environment to override the default behavior of writing to
    /root/.gstreamer-0.8, waiting for an upstream fix.
    [debian/gstreamer0.8-ffmpeg.postinst, debian/gstreamer0.8-ffmpeg.postrm]
  * Remove left over /root/.gstreamer-0.8 tree if it hasn't been modified.
    [debian/gstreamer0.8-ffmpeg.preinst]
  * Add CDBS' simple-patchsys. [debian/rules, debian/patches]
  * Configure internal ffmpeg build not to use encoders.
    [debian/patches/50_configure-no-encoders.patch]

 -- Loic Minier <lool@dooz.org>  Mon, 11 Jul 2005 19:04:47 +0200

gst-ffmpeg (0.8.4-1) unstable; urgency=low

  * New upstream

 -- David I. Lehn <dlehn@debian.org>  Mon, 14 Mar 2005 13:12:25 -0500

gst-ffmpeg (0.8.3-1) unstable; urgency=low

  * New upstream
  * debian/rules:
    * Distribute NEWS
  * debian/control:
    * Simplify description
  * Upload to unstable

 -- David I. Lehn <dlehn@debian.org>  Mon, 17 Jan 2005 17:17:10 -0500

gst-ffmpeg (0.8.2-2) unstable; urgency=low

  * debian/README.Debian, debian/control:
    * Update URLs
  * debian/control:
    * Update debhelper dependency to 4.1.0
    * Make description more verbose
  * debian/watch:
    * Add

 -- David I. Lehn <dlehn@debian.org>  Tue, 21 Dec 2004 04:44:30 -0500

gst-ffmpeg (0.8.2-1) unstable; urgency=low

  * New upstream

 -- David I. Lehn <dlehn@debian.org>  Fri, 19 Nov 2004 14:07:19 -0500

gst-ffmpeg (0.8.1.2-1) unstable; urgency=low

  * New upstream

 -- David I. Lehn <dlehn@debian.org>  Thu,  7 Oct 2004 00:38:50 -0400

gst-ffmpeg (0.8.0-1) unstable; urgency=low

  * Initial packaging

 -- David I. Lehn <dlehn@debian.org>  Wed, 16 Jun 2004 23:04:15 -0400
